Not Solved Need someone to update MyTabs Plugin
#1
Not Solved
can someone update this plugin please users cant register on ur forums once its active 
comes up with this messege 

MyBB has experienced an internal SQL error and cannot continue.

SQL Error:1364 - Field 'default_tab' doesn't have a default valueQuery:INSERT INTO mybb_users


Added attachment to this post for the plugin that needs updating.


original post for plugin 

https://community.mybb.com/mods.php?action=view&pid=456


Attached Files
.zip   2617-1313208204-MyTabs.zip (Size: 10.54 KB / Downloads: 29)
Reply
#2
Not Solved
Edit line 115 of inc/mytabs.php

original: $db->add_column('users', 'default_tab', 'TEXT NOT NULL');

replacement: $db->add_column('users', 'default_tab', 'TEXT NOT NULL DEFAULT 0');

And you can correct your database without uninstall/reinstall the plugin using phpmyadmin (or any access to your MySQL) with the query alter table users alter default_tab set default 0

Nota bene: if you have no tab with index 0, it may occure an error in MyBB front.
[MyBB 1.8 mods] - Offer me a coffee
Do not ask me help through PM
Reply
#3
Not Solved
i go to plugins to set up my tabs and get

MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1146 - Table 'yplzyosrbzlsjqec_544.mybbte_mytabs_tabs' doesn't exist
Query:
SELECT * FROM mybbte_mytabs_tabs ORDER BY order ASC

edited and fixed the plugin and a few other Errors
and uploaded it to plugins section so everyone can enjoy it the mytabs program to work with the latest mybb version

thanks @CrazyCat

https://community.mybb.com/mods.php?acti...w&pid=1337
Reply
#4
Not Solved
(2020-02-08, 01:09 AM)FatalMessiah777 Wrote: i go to plugins to set up my tabs and get

MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1146 - Table 'yplzyosrbzlsjqec_544.mybbte_mytabs_tabs' doesn't exist
Query:
SELECT * FROM mybbte_mytabs_tabs ORDER BY order ASC

edited and fixed the plugin and  a few other Errors
and uploaded it to plugins section so everyone can enjoy it  the mytabs program to work with the latest mybb version

thanks @CrazyCat

https://community.mybb.com/mods.php?acti...w&pid=1337

Firstly, are you mixing and matching file content in your attempt at whatever you are doing say from the 1.6 plug and 1.8 plug as that would cause an error like you last quoted in reference to the admin forum module error especially seeing how the two have alot of changes between the two. Secondly, I am amazed that you were able to see that error seeing how your "fixed" file does not contain the required admin lang file, nor would the 1.6 pkg you shared have it in correct location and actually the lang file in the 1.6 file only has two lines that remain in english main and the rest get moved to admin.

Looking at the file you provided as well as the one you posted on the mods site, I am simply curious why you are opting to fix, well correction on that, umm request others to fix the 1.6 version rather than use the 1.8 version https://community.mybb.com/mods.php?action=view&pid=456 and if the issue is still present in such then fix that in the 1.8 version https://community.mybb.com/mods.php?action=view&pid=456 and perhaps credit the person that actually fixed it for you as well? Just saying... also while your "fixed" file of the 1.6 plugin ver 1.32 is missing items and providing errors, the actual 1.6 ver 1.32 plug with a simple addition of the admin lang file
.zip   2617-1313208204-MyTabs.zip (Size: 27.26 KB / Downloads: 22) still works for me at least on quick glance via 1.8.22  here with my localhost having php 7.3.3 and MySQLi 5.6.38

[Image: Screenshot-20200216-214312-Firefox.jpg]

Also the actual 1.8 version mytabs 2.0  still works for me at least on quick glance via 1.8.22  here with my localhost having php 7.3.3 and MySQLi 5.6.38
[Image: Screenshot-20200216-185436-Firefox.jpg]


Also on a humour filled note anyhoo related to the issue you first mentioned when starting this support request, while it is not a fix but simply a quick bypass, a quick and dirty bypass is simply copying the dbs deactivation steps into the beginning of the activation process, activate the plugin then notice the error is not present, the plugin installs fine and you can delete the bypass after such..., lol, though again I am still at a loss trying to figure out why you are trying to "fix' the 1.6 plug when the 1.8 plugin has been available for years and if there are issues to be "fixed" would it not be wiser to "fix" the actual 1.8 plugin? AIso I am also at a loss trying to figure out how you claim that package you posted on the mods site is "fixed" when it is missing files,
throws errors like so : [Image: 68747470733a2f2f692e696d6775722e636f6d2f...372e706e67] as you can see here: https://community.mybb.com/thread-226509.html as well as still errors on module like you mentioned already in your suppoet request here:
(2020-02-08, 01:09 AM)FatalMessiah777 Wrote: i go to plugins to set up my tabs and get

MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1146 - Table 'yplzyosrbzlsjqec_544.mybbte_mytabs_tabs' doesn't exist
Query:
SELECT * FROM mybbte_mytabs_tabs ORDER BY order ASC

Also you state on your mods site posting that you fixed an issue with the plugin not allowing people to register, interesting, because I just tried registering several users with the non"fixed" 1.6 plugin and saw no issue with the process, what exactly are you claiming you fixed? Was the captcha broken?? because that tends to happen with any plugin that has bom/whitespace issues and can often be resolved by removing such... anyhoo, just sharing some simple observations and thoughts on this, that is all. Wink
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)